Bug 177219 - need to update the requirement to gstreamer08-plugins
need to update the requirement to gstreamer08-plugins
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
Depends On: 177218 179624
Blocks: FE5Target
  Show dependency treegraph
Reported: 2006-01-07 15:54 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-23 17:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-01-07 15:54:58 EST
Description of problem:
gstreamer-plugins now obsolete in rawhide
use  gstreamer08-plugins as a replacement
Comment 1 Justin Conover 2006-02-15 23:09:30 EST
no luv'n for istanbul in over a month :)  

Can someone fix this so everytime I want to install I don't have to pull the
src.rpm down and edit the spec.

Thank you.
Comment 2 Jef Spaleta 2006-02-15 23:26:04 EST
Feel free to dig in and fix bug 179624  which is keeping istanbul from cleanly
rebuilding on x86_64.  I don't have 64bit hardware locally so I don't have the
resources to fix whatever problem exists in the gstreamer08-python dependancy
which is only happening on 64bit builds.

On top of that little problem with gstreamer08-python,  now that gstreamer08 is
no longer in core development and istanbul won't be rebuildable again until
gstreamer08 is moved into Extras.  

Niether of these issues may not be resolved in time for FC5, if not then
istanbul will not be rebuilt for FE5 and will remain in the devel branch only if
not orphaned.  

All of these issue would become moot if istanbul's upstream developer moved to
using gstreamer 0.10.. but the last time I contacted him, he had no plans to
move istanbul to using gst 0.10.  

Comment 3 Jef Spaleta 2006-02-16 09:36:22 EST
(In reply to comment #1)
> no luv'n for istanbul in over a month :)  

Actually this comment is misinformed .... the istanbul spec has been updated
twice in the last month in cvs. It just won't rebuild because of dependancy
issues.  If you need to do local builds.. then pull the spec from cvs don't pull
the published srpm.

The only reason I've left this bug open is because the istanbul packages won't
rebuild cleanly yet..hence the "depends on" additions to this bugreport over the
last couple of weeks.

The specfile changes to switch to gsteamer08 naming have already been
incorporated into the cvs version of the specfile.  

Somew friendly advice, make sure you check cvs for recent changes and review the
bug history for a bugreport to see what the activity in the bug has been
recently to get a better idea if the issue is being worked on.

Comment 4 Michail V. 2006-02-23 01:16:19 EST
What is going to happen with istanbul? it is very important package for Fedora,
isn't going to be with FC5 in the official release in March? until today I
cann't install it in FC5test3
Comment 5 Jef Spaleta 2006-02-23 01:37:03 EST
What's going to happen? That's an unanswerable question at the moment.
There are currently a couple of problems with the dependancies that istanbul
requires for building

1)gstreamer08 is no longer a part of Fedora Core.
  gstreamer08 is in the review process for entry into Fedora Extras. I can not  
  tell you when gstreamer08 will be available again to build against.

2)gstreamer08-python has some unsolved issues associated with x86-64 bit and ppc
associated with how its packaged. Istanbul can not make it through the Extras
build system until the problems with gstreamer08-python on those arches are
resolved.  I do not have 64bit pc nor ppc hardware available to attempt to fix
gstreamer08-python myself and the maintainer of that package has been made aware
of the problem. And I am unwilling to exclude these arches and just build for
x86. Either the problems with gstreamer08-python gets fixed.. or istanbul
doesn't get built again.

Looking to the future, I have been in discussions with the upstream developer of
istanbul and he will soon have a new version of istanbul in cvs which requires
gstreamer-0.10. Unfortunately, it will require the next release of
gstreamer-0.10 and its not clear when Fedora Core 5 will be shipping that next
release. Its very doubtful a new release of gstreamer 0.10 will make it into the
Core isos making it impossible to move to any new upstream istabul release until
Core updates gstreamer 0.10 again.

Right now all of the problems associated with a rebuild of istanbul in Extras
are out of my direct control. The gstreamer08 dependancies are not available or
have packaging problems currently, and the gstreamer-0.10 dependancies will need
to be updated to move to the latest istabul upstream cvs snapshot. Until
something changes with regard to the dependancies, istanbul can not be built in
the Fedora Extras buildsystem.  I am personally interested in moving to the
gstreamer 0.10 based istanbul as soon as possible and I am considering giving up
on trying to build a gstreamer0.8 version for fc5 and leaving istanbul in devel
if fc5 does not see a gstreamer 0.10 update.

Comment 6 Michail V. 2006-02-23 02:10:31 EST
Jef your response was fantastic,

you are right about the gstreamer and I hope to be able in the new version of
istanbul to be added in the Fedora Extras. 
One from the basic reasons I am so interested about istanbul was because it is a
very good tool for desktop capturing and I wanted to create some X11R7 videos
which are showing in GNOME and KDE the new exa technology and the acceleration
that this enables especially in trasparency,shadows and GL applications, my
system is about two times faster. It would be very good for promote reasons
especially in linuxedge.com ...
If it is possible to be built the istanbul in i386 do you know the steps that
have to be made in order to be done that manually?

Let's hope for the future,

have a nice day,

Comment 7 Jef Spaleta 2006-02-23 02:25:03 EST
manually building it on x86....at the moment would involve finding binary rpms
of gstreamer08 or building them from available gstreamer08 srpms. 
Hint: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=181824

once gstreamer08 is built and installed you should be able to install the
gstreamer08-python package in Extras-development

then you should be able to rebuild the current istanbul binary from
istanbul.spec file and sources in the extras cvs.

Or you could skip istanbul altogether and learn how to manipulate a gstreamer
pipeline using the gstreamer commandline tools. The istanbul gui is a very thin
layer over a gstreamer pipeline.  Just takes a little bit of poking around to
understand how to use gst-launch to build your own pipelines that do what
istanbul does using the ximagesrc element to grab the X display.

Comment 8 Michail V. 2006-02-23 12:21:46 EST
Jef your instructions were perfect.
I built the gstreamer08 by the src.rpm, I had to install just the bison rpms
even though they hadn't been in the dependencies. But I can't install the
gstreamer08-python package from Extras Development because
the package gstreamer08-plugins can not be found...

Have you any idea? Can I find it in some another src.rpm and build manually just
like gstreamer08?

Thank you very much,

Comment 9 Jef Spaleta 2006-03-23 17:53:34 EST
build for fc5 and devel.. completed and awaiting to be signed

Note You need to log in before you can comment on or make changes to this bug.